<?php

namespace Drupal\awareness\Extension;

use Drupal\Core\Extension\ThemeHandlerInterface;

/**
 * Interface for classes that utilize theme.manager service.
 */
interface ThemeHandlerAwareInterface {

  const SERVICE_ID = 'theme.manager';

  /**
   * Set the theme handler.
   *
   * @param \Drupal\Core\Extension\ThemeHandlerInterface $themeHandler
   *   The theme handler service.
   *
   * @return $this
   */
  public function setThemeHandler(ThemeHandlerInterface $themeHandler);

}
